%define upstream_name    BackPAN-Index
%define upstream_version 0.42

%{?perl_default_filter:%perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\((CLASS|Path::Class)$\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Role to dump object data as a hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/BackPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(App::Cache)
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(CLASS)
BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(URI)
BuildArch: noarch

%description
This downloads, caches and parses the BackPAN index into a local database
for efficient querying.

Its a pretty thin wrapper around DBIx::Class returning the
DBIx::Class::ResultSet manpage objects which makes it efficient and
flexible.

The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. However, in order to keep CPAN relatively small, authors of
modules can delete older versions of modules to only let CPAN have the
latest version of a module. BackPAN is where these deleted modules are
backed up. It's more like a full CPAN mirror, only without the deletions.
This module provides an index of BackPAN and some handy methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.420.0-6.mga6
+ Revision: 1022687
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.420.0-5.mga6
+ Revision: 966181
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.420.0-4.mga6
+ Revision: 842918
- Add missing BRs
- Fix perl_default_filter
- Rebuild for the new perl-5.22.0
- Add missing BRs
- imported package perl-BackPAN-Index

  + tv <tv>
    - add exclude


* Mon Dec 02 2013 cpan2dist 0.42-1mga
- initial mageia release, generated with cpan2dist
